View Issue Details

IDProjectCategoryView StatusLast Update
0012269LazarusIDEpublic2009-06-12 06:54
ReporterLuca Olivetti Assigned ToMattias Gaertner  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.26 
Summary0012269: Every other ctrl+click on an identifier opens the unit where it is defined but stays at the top.
DescriptionWhen you use ctrl+click to find the definition of an identifier, and the definition is in an unit not currently shown on the editor, every other time the cursos stays on the first line of the unit instead of pointing at the line with the definition.
Probably it's related to bug 0012254 (or maybe not)
Steps To ReproduceMake a new project, drop on it, e.g., a TStringGrid, then, on the source, ctrl+click on TStringGrid.
Another tab opens with the unit Grids.pas and the cursor positioned on the definition of TStringGrid.
Close the tab ((right click, close page) and ctrl+click again on TStringGrid, this time the new tab opens but the cursor is on the first line of the file.
Close and ctrl+click again and it shows the definition.
It doesn't happen on every identifier (e.g. TForm).
TagsNo tags attached.
Fixed in Revision16838
LazTarget0.9.26
WidgetsetGTK 2, Win32/Win64
Attached Files

Relationships

related to 0012254 closedMattias Gaertner Code tools bug: with Code completition 

Activities

Luca Olivetti

2008-09-30 18:34

reporter   ~0022543

I meant that it doesn't happen with TForm

Vincent Snijders

2008-09-30 18:41

manager   ~0022545

I cannot reproduce it with TStringGrid either.

Luca Olivetti

2008-09-30 22:32

reporter   ~0022551

TStringGrid was just an example, but it happens here with almost all controls (TButton, TEdit, TPanel, TActionlist, etc.), rtl identifiers or identifiers declared in my own units.
I also tried with an ide without extra components, just in case, gtk1 and gtk2 (make clean bigide/make clean bigide LCL_PLATFORM=gtk2).
Did you close the new editor tab after each ctrl+click?

Vincent Snijders

2008-10-01 05:46

manager   ~0022554

Yes, I close the new editor tab after each ctrl-click. I am using the i386-win32-win32 version.

I started lazarus with --skip-last-project command line parameter.

Luca Olivetti

2008-10-01 07:00

reporter   ~0022555

Very strange, I can reproduce it every time.
Tried today again with r16818 under windows, compiled clean with no additional components (make clean bigide).
My about box says
v0.9.27 r16818 i386-win32-win32/win64
and my last message (22551) was made under linux, both under gtk1 and gtk2, so I guess neither the widgetset nor the os matter.
The compiler is fpc 2.2.2.

Mattias Gaertner

2008-10-01 08:35

manager   ~0022558

Can you try to find out the svn revision, that started this behavior?

Mattias Gaertner

2008-10-01 13:21

manager   ~0022563

Do you have the code explorer open?
When the unit opens, does it show the source or is it empty?
Is there any output when starting the IDE in a terminal?
Is there any message in the messages window?

Mattias Gaertner

2008-10-01 13:38

manager   ~0022564

Please check, that a svn diff shows nothing.

Please update to svn 16830 and compile clean with -dVerboseSrcEditBufClean.
Then start the IDE in a terminal and reproduce the bug. Send me the output.

Luca Olivetti

2008-10-01 17:07

reporter   ~0022566

I don't know the exact svn revision, I guess it's after 0012254 has been fixed, but it's possible it was there before.

I don't have code exploer open.
The unit correctly shows the source.
The only output I see on the console is "TSourceEditor.EditorClickLink xxx,yyy"
No message in the messages window .
Svn diff shows no diffs (apart some .po files, an artifact of compiling inside the ide)
With -dVerboseSrcEditBufClean there's no additional output apart from the "TSourceEditor.EditorClickLink" lines.
To be absolutely sure[*], I even modified ide/sourceeditor.pp to make the code enclosed in {$IFDEF VerboseSrcEditBufClean} unconditional.

[*] I don't know if it's possible to define parameters using make, so I rebuilt it from inside lazarus using the "Advanced Build Options" and putting -dVerboseSrcEditBufClean in "Options". Since I saw no extra messages I wasn't sure I followed the correct procedure, so I modified ide/sourceeditor.pp and used the usual "make clean bigide LCL_PLATFORM=gtk2"

Vincent Snijders

2008-10-01 18:45

manager   ~0022567

Try:
make clean bigide LCL_PLATFORM=gtk2 OPT=-dVerboseSrcEditBufClean

Martin Friebe

2008-10-01 19:24

manager   ~0022568

I was able to reproduce this too. I do get alternating results. Every second time, I get the right positions, and in between I get the right file, but xy=1/1

I enabled CTDEBUG (with minor modifications, as it did not compile). There are also a few debugln statements I inserted myself. they are all in main.pp and seem to have no significance.

Got 2 differnt debug logs.

It would appear the code takes a differnt path inside components\codetools\finddeclarationtool.pas line 2047:
function TFindDeclarationTool.FindDeclarationOfIdentAtParam(


This is the last debug statement that both logs have in common. Then the 1st (good) log has a lot of statements.
The 2nd (failed/bad) log does seem to take a shorter path (it must find some cache (which could be invalid)

I will attach the logs, hope they will help

2008-10-01 19:25

 

linkclick_ok.txt (23,513 bytes)   
TSourceEditor.EditorClickLink 234,489
main 2845 / TMainIDE.OnSrcNoteBookClickLink ==> GuiTestRunner / C:\lazarus_latest\components\fpcunit\guitestrunner.pas
main 12398 : TMainIDE.DoFindDeclarationAtCaret (x=21,y=64) /
TMainIDE.DoFindDeclarationAtCaret LogCaretXY=(x=21,y=64) SynEdit.Log=(x=21,y=64) SynEdit.Caret=(x=21,y=64)
TCodeToolManager.FindDeclaration A C:\lazarus_latest\components\fpcunit\guitestrunner.pas x=21 y=64
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
TCodeToolManager.FindDeclaration B True
[TCodeToolManager.ActivateWriteLock] FWriteLockCount=1 FWriteLockStep=1
TFindDeclarationTool.FindDeclaration A CursorPos=X21,Y64
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
TFindDeclarationTool.FindDeclaration C CleanCursorPos=1821
TFindDeclarationTool.FindDeclaration D CursorNode=Identifier HasChilds=False
[TFindDeclarationTool.FindDeclarationOfIdentAtParam] Identifier="TMenuItem" ContextNode=Identifier "TMenuItem;
    miSh"
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\components\s
nedit\synhighlighterxml.pas
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 25203
TLinkScanner.Scan F 25203
 File found !!! C:\lazarus_latest\components\synedit\synedit.inc
TLinkScanner.Scan END 13919
[TPascalParserTool.BuildTree] END
 File found !!! C:\lazarus_latest\components\synedit\synedit.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\components\s
nedit\synedit.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\testregistry.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 3959
TLinkScanner.Scan F 3959
TLinkScanner.Scan END 1187
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\fpcunit.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 33021
TLinkScanner.Scan F 33021
TLinkScanner.Scan END 15533
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\xmltestreport.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 9152
TLinkScanner.Scan F 9152
TLinkScanner.Scan END 2569
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\testdecorator.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 2670
TLinkScanner.Scan F 2670
TLinkScanner.Scan END 1481
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\stdctrls
pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 50691
TLinkScanner.Scan F 50691
TLinkScanner.Scan END 49388
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\clipbrd.
p
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 13372
TLinkScanner.Scan F 13372
TLinkScanner.Scan END 10250
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\menus.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 20153
TLinkScanner.Scan F 20153
TLinkScanner.Scan END 16921
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\actnlist
pas
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 13148
TLinkScanner.Scan F 13148
TLinkScanner.Scan END 11776
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\comctrls
pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 111402
TLinkScanner.Scan F 111402
TLinkScanner.Scan END 110626
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\buttons.
p
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 16238
TLinkScanner.Scan F 16238
TLinkScanner.Scan END 14304
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\extctrls
pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 40463
TLinkScanner.Scan F 40463
TLinkScanner.Scan END 39597
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\dialogs.
p
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 22438
TLinkScanner.Scan F 22438
TLinkScanner.Scan END 19161
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\graphics
pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 93733
TLinkScanner.Scan F 93733
TLinkScanner.Scan END 76128
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\controls
pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 136625
TLinkScanner.Scan F 136625
TLinkScanner.Scan END 99336
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\forms.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 63002
TLinkScanner.Scan F 63002
TLinkScanner.Scan END 55347
[TPascalParserTool.BuildTree] END
 File found !!! C:\lazarus_latest\lcl\controls.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\forms.pp Code=C:\lazarus_latest\lcl\controls.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\controls.pp Code=C:\lazarus_latest\lcl\lclclasses.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 6263
TLinkScanner.Scan F 6263
TLinkScanner.Scan END 3363
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\lclclasses.pp Code=C:\lazarus_latest\lcl\lclproc.pas
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 132509
TLinkScanner.Scan F 132509
TLinkScanner.Scan END 15435
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\lclclasses.pp Code=C:\lazarus_latest\lcl\lcltype.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 78010
TLinkScanner.Scan F 78010
TLinkScanner.Scan END 66320
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\lclclasses.pp Code=C:\lazarus_latest\lcl\widgetset\wsreferences.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 4513
TLinkScanner.Scan F 4513
TLinkScanner.Scan END 4145
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\lclclasses.pp Code=C:\lazarus_latest\lcl\widgetset\wslclclasses.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 15805
TLinkScanner.Scan F 15805
TLinkScanner.Scan END 3327
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\lcl\lclclasses.pp Code=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\clas
es.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 5139
TLinkScanner.Scan F 5139
TLinkScanner.Scan END 71450
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\win32\windows.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 1420
TLinkScanner.Scan F 1420
TLinkScanner.Scan END 958263
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\objpas\typinfo.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 54785
TLinkScanner.Scan F 54785
TLinkScanner.Scan END 13692
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\objpas\types.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 12113
TLinkScanner.Scan F 12113
TLinkScanner.Scan END 5333
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\win\sysutils.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 35521
TLinkScanner.Scan F 35521
TLinkScanner.Scan END 55325
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\objpas\rtlconsts.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 19
TLinkScanner.Scan F 19
TLinkScanner.Scan END 28846
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\objpas\objpas.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 14429
TLinkScanner.Scan F 14429
TLinkScanner.Scan END 3607
[TPascalParserTool.BuildTree] END
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\fpc\2.2.3\source\rtl\win32\classes.pp Code=C:\lazarus_latest\fpc\2.2.3\s
urce\rtl\win32\system.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 35592
TLinkScanner.Scan F 35592
TLinkScanner.Scan END 128457
[TPascalParserTool.BuildTree] END
 File found !!! C:\lazarus_latest\components\synedit\synhighlighterxml.pas
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\components\s
nedit\synhighlighterxml.pas
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\components\synedit\synedit.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\components\s
nedit\synedit.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-fpcunit\src\testregistry.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\testregistry.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-fpcunit\src\fpcunit.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\fpcunit.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-fpcunit\src\xmltestreport.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\xmltestreport.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-fpcunit\src\testdecorator.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\fpc\2.2.3\so
rce\packages\fcl-fpcunit\src\testdecorator.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\lcl\stdctrls.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\stdctrls
pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\lcl\clipbrd.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\clipbrd.
p
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
 File found !!! C:\lazarus_latest\lcl\menus.pp
[TCodeToolManager.OnGetCodeToolForBuffer] Sender=C:\lazarus_latest\components\fpcunit\guitestrunner.pas Code=C:\lazarus_latest\lcl\menus.pp
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
[TFindDeclarationTool.FindDeclarationOfIdentAtParam] Ident="TMenuItem" Node=Type C:\lazarus_latest\lcl\menus.pp
[TCodeToolManager.DeactivateWriteLock] FWriteLockCount=0 FWriteLockStep=2
TCodeToolManager.FindDeclaration END
DoJumpToCodePos(x=3 y=99 top=76);
>>>>>> [TCodeToolManager.LoadFile] C:\lazarus_latest\lcl\menus.pp Update=True Revert=True
 File found !!! C:\lazarus_latest\lcl\menus.pp
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\lcl\menus.pp 20153
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\lcl\menus.pp 20153
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\lcl\menus.pp 20153
SourceName=Menus
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
SourceName=TestCaseSynFold
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
SourceName=TestCaseSynFold
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
SourceName=GuiTestRunner
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
SourceName=GuiTestRunner
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\lcl\menus.pp 20153
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\lcl\menus.pp 20153
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\lcl\menus.pp 20153
SourceName=Menus
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\lcl\menus.pp 20153
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\lcl\menus.pp 20153
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\lcl\menus.pp 20153
SourceName=Menus
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedit.pp 387597
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedit.pp 387597
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedit.pp 387597
SourceName=SynEdit
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedit.pp 387597
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedit.pp 387597
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedit.pp 387597
SourceName=SynEdit
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
SourceName=SynEditTextBuffer
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
SourceName=SynEditTextBuffer
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
SourceName=SynEditFoldedText
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
SourceName=SynEditFoldedText
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
SourceName=TestSynFoldAVLTree
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
SourceName=TestSynFoldAVLTree
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
SourceName=AVL_Tree
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
SourceName=AVL_Tree

linkclick_ok.txt (23,513 bytes)   

2008-10-01 19:25

 

linkclick_bad.txt (7,103 bytes)   
TSourceEditor.EditorClickLink 254,488
main 2845 / TMainIDE.OnSrcNoteBookClickLink ==> GuiTestRunner / C:\lazarus_latest\components\fpcunit\guitestrunner.pas
main 12398 : TMainIDE.DoFindDeclarationAtCaret (x=24,y=64) /
TMainIDE.DoFindDeclarationAtCaret LogCaretXY=(x=24,y=64) SynEdit.Log=(x=24,y=64) SynEdit.Caret=(x=24,y=64)
TCodeToolManager.FindDeclaration A C:\lazarus_latest\components\fpcunit\guitestrunner.pas x=24 y=64
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
TCodeToolManager.FindDeclaration B True
[TCodeToolManager.ActivateWriteLock] FWriteLockCount=1 FWriteLockStep=3
TFindDeclarationTool.FindDeclaration A CursorPos=X24,Y64
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=False
TFindDeclarationTool.FindDeclaration C CleanCursorPos=1824
TFindDeclarationTool.FindDeclaration D CursorNode=Identifier HasChilds=False
[TFindDeclarationTool.FindDeclarationOfIdentAtParam] Identifier="TMenuItem" ContextNode=Identifier "TMenuItem;
    miSh"
[TFindDeclarationTool.FindDeclarationOfIdentAtParam] Ident="TMenuItem" Node=Type C:\lazarus_latest\lcl\menus.pp
[TCodeToolManager.DeactivateWriteLock] FWriteLockCount=0 FWriteLockStep=4
TCodeToolManager.FindDeclaration END
DoJumpToCodePos(x=-1 y=-1 top=0);
>>>>>> [TCodeToolManager.LoadFile] C:\lazarus_latest\lcl\menus.pp Update=True Revert=False
 File found !!! C:\lazarus_latest\lcl\menus.pp
TCodeToolManager.GetSourceName A C:\lazarus_latest\lcl\menus.pp 20153
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\lcl\menus.pp 20153
TPascalParserTool.BuildTree A
TCustomCodeTool.UpdateNeeded A True FForceUpdateNeeded=False
TCustomCodeTool.UpdateNeeded END  Result=True
TLinkScanner.Scan A -------- TillInterfaceEnd=
TLinkScanner.Scan B
TLinkScanner.Scan C 20153
TLinkScanner.Scan F 20153
TLinkScanner.Scan END 16921
[TPascalParserTool.BuildTree] END
TCodeToolManager.GetSourceName B C:\lazarus_latest\lcl\menus.pp 20153
SourceName=Menus
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
SourceName=TestCaseSynFold
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testcasesynfold.pas 53387
SourceName=TestCaseSynFold
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
SourceName=GuiTestRunner
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\fpcunit\guitestrunner.pas 18384
SourceName=GuiTestRunner
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\lcl\menus.pp 20153
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\lcl\menus.pp 20153
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\lcl\menus.pp 20153
SourceName=Menus
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\lcl\menus.pp 20153
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\lcl\menus.pp 20153
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\lcl\menus.pp 20153
SourceName=Menus
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedit.pp 387597
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedit.pp 387597
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedit.pp 387597
SourceName=SynEdit
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedit.pp 387597
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedit.pp 387597
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedit.pp 387597
SourceName=SynEdit
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
SourceName=SynEditTextBuffer
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\synedittextbuffer.pp 45080
SourceName=SynEditTextBuffer
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
SourceName=SynEditFoldedText
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\components\synedit\syneditfoldedtext.pp 28159
SourceName=SynEditFoldedText
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
SourceName=TestSynFoldAVLTree
TCodeToolManager.GetCachedSourceName A C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
[TCodeToolManager.InitCurCodeTool] C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
TCodeToolManager.GetCachedSourceName B C:\data\lazarus\SynEditTests\testsynfoldavltree.pas 8040
SourceName=TestSynFoldAVLTree
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
SourceName=AVL_Tree
TCodeToolManager.GetCachedSourceName A C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
[TCodeToolManager.InitCurCodeTool] C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
TCodeToolManager.GetCachedSourceName B C:\lazarus_latest\fpc\2.2.3\source\packages\fcl-base\src\avl_tree.pp 31848
SourceName=AVL_Tree
linkclick_bad.txt (7,103 bytes)   

Issue History

Date Modified Username Field Change
2008-09-30 18:32 Luca Olivetti New Issue
2008-09-30 18:32 Luca Olivetti Widgetset => GTK 2, Win32
2008-09-30 18:34 Luca Olivetti Note Added: 0022543
2008-09-30 18:38 Vincent Snijders Relationship added related to 0012254
2008-09-30 18:41 Vincent Snijders Note Added: 0022545
2008-09-30 18:43 Vincent Snijders LazTarget => 0.9.26
2008-09-30 18:43 Vincent Snijders Status new => assigned
2008-09-30 18:43 Vincent Snijders Target Version => 0.9.26
2008-09-30 22:32 Luca Olivetti Note Added: 0022551
2008-10-01 05:46 Vincent Snijders Note Added: 0022554
2008-10-01 07:00 Luca Olivetti Note Added: 0022555
2008-10-01 07:48 Vincent Snijders Assigned To => Mattias Gaertner
2008-10-01 08:35 Mattias Gaertner Note Added: 0022558
2008-10-01 13:21 Mattias Gaertner Note Added: 0022563
2008-10-01 13:22 Mattias Gaertner Status assigned => feedback
2008-10-01 13:38 Mattias Gaertner Note Added: 0022564
2008-10-01 17:07 Luca Olivetti Note Added: 0022566
2008-10-01 18:45 Vincent Snijders Note Added: 0022567
2008-10-01 19:24 Martin Friebe Note Added: 0022568
2008-10-01 19:25 Martin Friebe File Added: linkclick_ok.txt
2008-10-01 19:25 Martin Friebe File Added: linkclick_bad.txt
2008-10-02 07:52 Mattias Gaertner Fixed in Revision => 16838
2008-10-02 07:52 Mattias Gaertner Status feedback => resolved
2008-10-02 07:52 Mattias Gaertner Resolution open => fixed
2009-06-12 06:54 Luca Olivetti Status resolved => closed